Bug 1758499 - Review Request: procdump - Process coredumps based on performance triggers
Summary: Review Request: procdump - Process coredumps based on performance triggers
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Miroslav Suchý
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-10-04 10:19 UTC by Matej Grabovsky
Modified: 2019-10-26 17:24 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-10-24 10:50:45 UTC
msuchy: fedora-review+


Attachments (Terms of Use)

Description Matej Grabovsky 2019-10-04 10:19:45 UTC
Spec URL: https://copr-be.cloud.fedoraproject.org/results/mgrabovs/procdump/fedora-31-x86_64/01045595-procdump/procdump.spec
SRPM URL: https://copr-be.cloud.fedoraproject.org/results/mgrabovs/procdump/fedora-31-x86_64/01045595-procdump/procdump-1.0.1-1.fc31.src.rpm
Description:
ProcDump provides a way to create coredumps of running processes
based on prespecified performance triggers, such as memory or
CPU usage.

Due notice: I'm a first-time packager and need a sponsor.

Fedora Account System Username: mgrabovs

Copr: https://copr.fedorainfracloud.org/coprs/mgrabovs/procdump/
(Builds seem to fail before Make is even run for some reason.)
Koji: https://koji.fedoraproject.org/koji/taskinfo?taskID=38047186

Comment 2 Miro Hrončok 2019-10-04 11:33:00 UTC
Hello Matěj, there are automated tools, like https://pagure.io/FedoraReview/ that parse bugzilla comments for this:

Spec URL: https://copr-be.cloud.fedoraproject.org/results/mgrabovs/procdump/fedora-31-x86_64/01045608-procdump/procdump.spec
SRPM URL: https://copr-be.cloud.fedoraproject.org/results/mgrabovs/procdump/fedora-31-x86_64/01045608-procdump/procdump-1.0.1-1.fc31.src.rpm

So when you actually change the links, please always post them in this form.

Comment 3 Miro Hrončok 2019-10-04 11:35:49 UTC
Any particular reason to use -p0 with %autosetup? Since the upstream is in a git repo, you will most likely get -p1 patches when backporting stuff.

Comment 4 Miroslav Suchý 2019-10-04 11:46:00 UTC
I am going to take this.

Comment 5 Miro Hrončok 2019-10-04 11:51:04 UTC
Thanks, stepping out.

Comment 6 Matej Grabovsky 2019-10-04 12:07:58 UTC
(In reply to Miro Hrončok from comment #2)
> Hello Matěj, there are automated tools, like https://pagure.io/FedoraReview/
> that parse bugzilla comments for this:

Oops, sorry about that. I had no idea.

(In reply to Miro Hrončok from comment #3)
> Any particular reason to use -p0 with %autosetup? Since the upstream is in a
> git repo, you will most likely get -p1 patches when backporting stuff.

Will fix. That's most likely a relic from my previous experiments with the package.

Comment 7 Neal Gompa 2019-10-04 21:18:30 UTC
> Source:         %{url}/archive/%{version}.tar.gz

This should be "%{url}/archive/%{version}/%{repo_name}-%{version}.tar.gz"

> %build
> %make_build

The upstream spec file indicates that this won't work: https://github.com/microsoft/ProcDump-for-Linux/blob/master/dist/procdump.spec.in#L40-L41

Comment 8 Matej Grabovsky 2019-10-07 08:10:43 UTC
(In reply to Neal Gompa from comment #7)
> This should be "%{url}/archive/%{version}/%{repo_name}-%{version}.tar.gz"

Thanks for chiming in! And thank you for the suggestion. I was having some trouble with the GitHub URL.

> The upstream spec file indicates that this won't work:
> https://github.com/microsoft/ProcDump-for-Linux/blob/master/dist/procdump.
> spec.in#L40-L41

Since you're the author, can you please explain why? "This won't work" is quite a strong statement which I have successfully disproved above. I have never encountered any problems with parallel builds and from a quick glance at the makefile, I can't infer why that would be a problem. I'd be happy to correct my conclusions if you find them incorrect.

Comment 9 Miroslav Suchý 2019-10-08 10:59:01 UTC
Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed



===== MUST items =====

C/C++:
[x]: Package does not contain kernel modules.
[x]: Package contains no static executables.
[x]: If your application is a C or C++ application you must list a
     BuildRequires against gcc, gcc-c++ or clang.
[x]: Header files in -devel subpackage, if present.
[x]: Package does not contain any libtool archives (.la)
[x]: Rpath absent or only used for internal libs.

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: There is no build directory. Running licensecheck on vanilla
     upstream sources. No licenses found. Please check the source files for
     licenses manually.
[x]: License file installed when any subpackage combination is installed.
[x]: Package does not own files or directories owned by other packages.
[x]: %build honors applicable compiler flags or justifies otherwise.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Useful -debuginfo package or justification otherwise.
[ ]: Package is not known to require an ExcludeArch tag.
[-]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 51200 bytes in 2 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package must not depend on deprecated() packages.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

===== SHOULD items =====

Generic:
[-]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[x]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[-]: Sources are verified with gpgverify first in %prep if upstream
     publishes signatures.
     Note: gpgverify is not used.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[?]: Package should compile and build into binary rpms on all supported
     architectures.
[-]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed
     files.
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Fully versioned dependency in subpackages if applicable.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on debuginfo package(s).
     Note: No rpmlint messages.
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Large data in /usr/share should live in a noarch subpackage if package
     is arched.
[x]: Spec file according to URL is the same as in SRPM.

The parallel make can be tracked separately.

APPROVED

Comment 10 Neal Gompa 2019-10-08 22:09:49 UTC
(In reply to Matej Grabovsky from comment #8)
> (In reply to Neal Gompa from comment #7)
> > The upstream spec file indicates that this won't work:
> > https://github.com/microsoft/ProcDump-for-Linux/blob/master/dist/procdump.
> > spec.in#L40-L41
> 
> Since you're the author, can you please explain why? "This won't work" is
> quite a strong statement which I have successfully disproved above. I have
> never encountered any problems with parallel builds and from a quick glance
> at the makefile, I can't infer why that would be a problem. I'd be happy to
> correct my conclusions if you find them incorrect.

The ordering of the files and compilation units for building wound up being randomly broken for me when I was doing this a while ago. It was easier to not do it than it was to do it.

That said, if it always works now, just make sure you change it to the following:

> %make_build CFLAGS="%{optflags}"

Comment 11 Matej Grabovsky 2019-10-09 09:15:17 UTC
(In reply to Neal Gompa from comment #10)
> That said, if it always works now, just make sure you change it to the
> following:
> 
> > %make_build CFLAGS="%{optflags}"

Thanks. I've now updated the spec file to reflect the suggested changes.

Spec URL: https://copr-be.cloud.fedoraproject.org/results/mgrabovs/procdump/fedora-31-x86_64/01051412-procdump/procdump.spec
SRPM URL: https://copr-be.cloud.fedoraproject.org/results/mgrabovs/procdump/fedora-31-x86_64/01051412-procdump/procdump-1.0.1-1.fc31.src.rpm

Koji: https://koji.fedoraproject.org/koji/taskinfo?taskID=38166862(In reply to Neal Gompa from comment #10)

Comment 12 Gwyn Ciesla 2019-10-09 13:29:03 UTC
(fedscm-admin):  The Pagure repository was created at https://src.fedoraproject.org/rpms/procdump

Comment 13 Fedora Update System 2019-10-10 08:06:13 UTC
FEDORA-2019-9f8bec0668 has been submitted as an update to Fedora 30. https://bodhi.fedoraproject.org/updates/FEDORA-2019-9f8bec0668

Comment 14 Fedora Update System 2019-10-10 08:07:17 UTC
FEDORA-2019-b143e81bf9 has been submitted as an update to Fedora 31. https://bodhi.fedoraproject.org/updates/FEDORA-2019-b143e81bf9

Comment 15 Fedora Update System 2019-10-10 17:29:35 UTC
procdump-1.0.1-1.fc30 has been pushed to the Fedora 30 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-9f8bec0668

Comment 16 Matej Grabovsky 2019-10-24 10:50:45 UTC
The package is now in F30 and Rawhide stable, and testing for F31. Closing.

Comment 17 Fedora Update System 2019-10-26 17:24:18 UTC
procdump-1.0.1-1.fc31 has been pushed to the Fedora 31 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.